Subject: Re: [5.6.0-rc2-next-20200218/powerpc] Boot failure on POWER9

From: Christopher Lameter <[email-masked]>
Date: Wed, 26 Feb 2020 18:44:13 +0000 (UTC)

On Wed, 26 Feb 2020, Michal Hocko wrote:

> Besides that kmalloc_node shouldn't really have an implicit GFP_THISNODE
> semantic right? At least I do not see anything like that documented
> anywhere.

Kmalloc_node does not support memory policies etc. Only kmalloc does.
kmalloc_node is mostly used by subsystems that have determined the active
nodes and want a targeted allocation on those nodes.